/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.dev/license
 */
import { Plugin } from 'esbuild';
export declare const IS_BAZEL: boolean;
/**
 * Creates an esbuild plugin that ensures module resolution stays within the Bazel sandbox.
 *
 * Under Bazel, esbuild may follow symlinks out of the sandbox when sandboxing is enabled.
 * This plugin uses a separate resolver to detect when resolution leaves the `execroot`
 * (which serves as the sandbox root when sandboxing is active), and rewrites the resolution
 * to remain within the sandbox.
 *
 * See: https://github.com/aspect-build/rules_esbuild/issues/58
 *
 * @returns An esbuild plugin.
 */
export declare function bazelSandboxPlugin(): Plugin;
